Update agent A2A config
curl --request PUT \
--url https://api.getsly.ai/v1/v1/a2a/agents/{agentId}/config \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accepts_tasks": true,
"skills": [
"<string>"
],
"default_response_window_minutes": 123,
"webhook_url": "<string>"
}
'import requests
url = "https://api.getsly.ai/v1/v1/a2a/agents/{agentId}/config"
payload = {
"accepts_tasks": True,
"skills": ["<string>"],
"default_response_window_minutes": 123,
"webhook_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accepts_tasks: true,
skills: ['<string>'],
default_response_window_minutes: 123,
webhook_url: '<string>'
})
};
fetch('https://api.getsly.ai/v1/v1/a2a/agents/{agentId}/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accepts_tasks": true,
"skills": [
"<string>"
],
"default_response_window_minutes": 123,
"webhook_url": "<string>"
}
}A2A
Update agent A2A config
PUT
/
v1
/
a2a
/
agents
/
{agentId}
/
config
Update agent A2A config
Authorizations
API key (pk_test_* or pk_live_), JWT session, agent token (agent_), Ed25519 session (sess_), or portal token (portal_).
Path Parameters
Body
application/json
Response
200 - application/json
Updated
Show child attributes
Show child attributes
⌘I